Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om.mapper
Class LongMapper

    java.lang.Object
      org.apache.torque.om.mapper.LongMapper

All Implemented Interfaces:
  Serializable, RecordMapper<Long>

    public class LongMapper

extends Object
implements RecordMapper<Long>

Maps a database record to a Long.

Version:
  $Id: LongMapper.java 1448414 2013-02-20 21:06:35Z tfischer $
See Also:
  Serialized Form

Constructor Summary
`LongMapper()` Constructs a LongMapper with an offset of 0.
`LongMapper(int offset)` Constructs a LongMapper with the given offset.

Method Summary
`Long` | `processRow(ResultSet resultSet, int rowOffset, CriteriaInterface<?> criteria)` Maps the current row in the result set to a Long.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongMapper

    public LongMapper()

  Constructs a LongMapper with an offset of 0.

### LongMapper

    public LongMapper(int offset)

  Constructs a LongMapper with the given offset.

  Parameters:
    `offset` - the additional offset (0 based).

Method Detail

### processRow

    public Long processRow(ResultSet resultSet,
                           int rowOffset,
                           CriteriaInterface<?> criteria)
                    throws TorqueException

  Maps the current row in the result set to a Long.

  Specified by:
    `processRow` in interface `RecordMapper<Long>`
  Parameters:
    `resultSet` - the result set to map, not null.
    `rowOffset` - a possible offset in the columns to be considered (if previous columns contain other objects), or 0 for no offset.
    `criteria` - The criteria which created the result set, or null if not known. This parameter is not used by this record mapper.
  Returns:
    the Long retrieved from the result set.
  Throws:
    `TorqueException` - when the mapping fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.